#ifndef RUBIKS_CUBE_H
#define RUBIKS_CUBE_H

#include <GL/glut.h>
#define SIZE 57 //of a side of the cube

namespace drawCube{

  GLfloat spinX ;
  GLfloat spinY ;
  GLfloat spinZ ;
  GLfloat X ;
  GLfloat Y ;
  GLfloat Z ;

  void drawRubik(void)
    {
      for(int a = -1; a <2; a++)
	for(int b = -1; b <2; b++)
	  for(int c = -1; c <2; c++) 
	    {
	      glPushMatrix();

	      glTranslatef( X,  Y, - Z);//!! -Z

	      std::cerr<< "c"<<std::endl;	  

	      glRotatef(spinX,1.,.0,.0);
	      glRotatef(spinY,.0,1.,.0);
	      glRotatef(spinZ,.0,.0,1.); 
 	      std::cerr<< "c1"<<std::endl;	  
	      glTranslatef(a * SIZE , b * SIZE , c * SIZE);
	  
	      glutSolidCube(SIZE);
	      // glutWireCube(SIZE);
	      std::cerr<< "c2"<<std::endl;	  
	      glPopMatrix();
	      std::cerr<< "c3"<<std::endl;	  
	    }
    }

  void drawIt(void)
    {
      glClear (GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
  
      std::cerr<< "b"<<std::endl;

      glLoadIdentity ();             /* clear the matrix */
      /* viewing transformation  */
      gluLookAt(.0, 0.0, 5., 0.0, 0.0, 0.0, 0.0, 1.0, 0.0);

      std::cerr<< "b1"<<std::endl;

      glPolygonMode(GL_FRONT_AND_BACK, GL_FILL);
      //  glEnable(GL_POLYGON_OFFSET_FILL);
      glColor3f (0.0, 0.0, 0.0);
      //  glPolygonOffset(1.,1.);
      std::cerr<< "b2"<<std::endl;
      drawRubik();
      // glDisable(GL_POLYGON_OFFSET_FILL);   
      std::cerr<< "b3"<<std::endl;
      glPolygonMode(GL_FRONT_AND_BACK, GL_LINE);
      glColor3f (1.0, 1.0, 1.0);
      std::cerr<< "b4"<<std::endl;
      drawRubik();
      std::cerr<< "b5"<<std::endl;
    }

  void positionRubik(float x,float y, float z, float rotX, float rotY, float rotZ)
    {
      spinX = rotX;
      spinY = rotY;
      spinZ = rotZ;
      X = x;
      Y = y;
      Z = z;
      drawIt();
    }


  void projection(int w, int h)
    {  
      //cerr<<"beginning reshape"<<endl;
      //glViewport (0, h/2, (GLsizei) w, (GLsizei) h/2);
      glViewport (0, 0, (GLsizei) w, (GLsizei) h);
      glMatrixMode (GL_PROJECTION);
      glLoadIdentity ();
      gluPerspective(100,w/h,1,1000);
      //glFrustum (-1.0, 1.0, -1.0, 1.0, 1.5, 20.0);
      glMatrixMode (GL_MODELVIEW);
      //cerr<<"end reshape"<<endl;
    } 


  void init(void) 
    {
      glClearColor (0., 0., 0., 0.);
      //glShadeModel (GL_FLAT);
      glEnable(GL_DEPTH_TEST);
      glEnable(GL_LINE_STIPPLE);
      glLineStipple(1, 0x8080);
    } 
}
#endif
