#ifndef UI_PGHDEMODIALOG_H
#define UI_PGHDEMODIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QVBoxLayout>
#include "pghDemoWidget.h"

class Ui_PghDemoDialog
{
public:
    QVBoxLayout *vboxLayout;
    PghDemoWidget *pghDemoWidget;

    void setupUi(QDialog *PghDemoDialog)
    {
    PghDemoDialog->setObjectName(QString::fromUtf8("PghDemoDialog"));
    PghDemoDialog->resize(QSize(600, 482).expandedTo(PghDemoDialog->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(PghDemoDialog);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(8);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    pghDemoWidget = new PghDemoWidget(PghDemoDialog);
    pghDemoWidget->setObjectName(QString::fromUtf8("pghDemoWidget"));
    pghDemoWidget->setFrameShape(QFrame::NoFrame);
    pghDemoWidget->setFrameShadow(QFrame::Plain);

    vboxLayout->addWidget(pghDemoWidget);

    retranslateUi(PghDemoDialog);

    QMetaObject::connectSlotsByName(PghDemoDialog);
    } // setupUi

    void retranslateUi(QDialog *PghDemoDialog)
    {
    PghDemoDialog->setWindowTitle(QApplication::translate("PghDemoDialog", "Dialog", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(PghDemoDialog);
    } // retranslateUi

};

namespace Ui {
    class PghDemoDialog: public Ui_PghDemoDialog {};
} // namespace Ui

#endif // UI_PGHDEMODIALOG_H
