#!/bin/bash

echo "running tracking-corr program"
../tracking-corr $1.conf

echo "converting images..."
for infile in frame_???.pgm; do
	outfile=`basename $infile pgm`ppm
	echo convert $infile $outfile
	convert $infile $outfile
done

echo "encoding video frames..."
mpeg2encode MPEG-1.par $1.m2v

echo "tiding up..."
rm -f frame* stat*
