#include "mimasconfig.h"

#ifdef HAVE_XALAN

#include "xml_node_reference_list.h"

namespace mimas {

xml_node_reference_list::xml_node_reference_list
  ( const xml_node_reference_list &l ):
#ifndef SIMPLEXPATH
  xObject( l.xObject ),
#endif
  nodeList( l.nodeList ), document( l.document )
{}

xml_reference< XalanNode > xml_node_reference_list::item( int index )
  const
{
  return xml_reference< XalanNode >( nodeList.item( index ), document );
}

int xml_node_reference_list::getLength(void) const
{
#ifdef SIMPLEXPATH
  return nodeList.getLength();
#else
  return (*xObject)->nodeset().getLength();
#endif
}

};

#endif
