#ifndef __SLAPTOOLWIDGET_H
#define __SLAPTOOLWIDGET_H

#include <boost/shared_ptr.hpp>
#include <QtGui/QFrame>
#include <list>
#include "line.h"

class SlapToolWidget: public QFrame
{
  Q_OBJECT
 public:
  SlapToolWidget( QWidget *parent, Qt::WFlags f = 0 );
 protected:
  virtual void paintEvent( QPaintEvent * );
  std::list< boost::shared_ptr< mimas::line > > l_lines;
};

#endif
