#ifndef UI_WEBCAMTRACKDIALOG_H
#define UI_WEBCAMTRACKDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QVBoxLayout>
#include "webcamTrackWidget.h"

class Ui_WebcamTrackDialog
{
public:
    QVBoxLayout *vboxLayout;
    WebcamTrackWidget *webcamTrackWidget;

    void setupUi(QDialog *WebcamTrackDialog)
    {
    WebcamTrackDialog->setObjectName(QString::fromUtf8("WebcamTrackDialog"));
    WebcamTrackDialog->resize(QSize(600, 482).expandedTo(WebcamTrackDialog->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(WebcamTrackDialog);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(8);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    webcamTrackWidget = new WebcamTrackWidget(WebcamTrackDialog);
    webcamTrackWidget->setObjectName(QString::fromUtf8("webcamTrackWidget"));
    webcamTrackWidget->setFrameShape(QFrame::NoFrame);
    webcamTrackWidget->setFrameShadow(QFrame::Plain);

    vboxLayout->addWidget(webcamTrackWidget);

    retranslateUi(WebcamTrackDialog);

    QMetaObject::connectSlotsByName(WebcamTrackDialog);
    } // setupUi

    void retranslateUi(QDialog *WebcamTrackDialog)
    {
    WebcamTrackDialog->setWindowTitle(QApplication::translate("WebcamTrackDialog", "Dialog", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(WebcamTrackDialog);
    } // retranslateUi

};

namespace Ui {
    class WebcamTrackDialog: public Ui_WebcamTrackDialog {};
} // namespace Ui

#endif // UI_WEBCAMTRACKDIALOG_H
