#ifndef POL_LOCATOR_H
#define POL_LOCATOR_H

#include "pol_match.h"

namespace mimas {
class pol_match;

/**
 * 
 * abstract base class for the locating matches with POLs
 * stueymeikle 20021214
 *
 */
class pol_locator: public object
{
public:
	virtual void			init( int numdims, ...)=0;
	virtual void			addEntry( double weight, ... )=0;
	virtual pol_match_ptr_list getMatches()=0;
};
}

#endif
